libcamera v0.6.0 Supporting cameras in Linux since 2019

Loading...
Searching...
No Matches
libcamera::V4L2Subdevice::Route Class Reference

V4L2 subdevice routing table entry. More...

Collaboration diagram for libcamera::V4L2Subdevice::Route:
[legend]

## Public Member Functions
| Route ()
| Construct a Route with default streams.
| Route (const Stream &snk, const Stream &src, uint32_t f)
| Construct a Route from sink to source.

## Public Attributes
Stream | sink
| The sink stream of the route.
Stream | source
| The source stream of the route.
uint32_t | flags
| The route flags (V4L2_SUBDEV_ROUTE_FL_*).

## Detailed Description

V4L2 subdevice routing table entry.

This class models a route in the subdevice routing table. It is similar to the v4l2_subdev_route structure, but uses the V4L2Subdevice::Stream class for easier usage with the V4L2Subdevice stream-aware functions.

## Constructor & Destructor Documentation

## ◆ Route()

libcamera::V4L2Subdevice::Route::Route | ( | const Stream & | sink,
|  | const Stream & | source,
|  | uint32_t | flags )
| inline

Construct a Route from sink to source.

Parameters

  [in] | sink | The sink stream
  [in] | source | The source stream
  [in] | flags | The route flags

The documentation for this class was generated from the following files:

- include/libcamera/internal/v4l2_subdevice.h
- src/libcamera/v4l2_subdevice.cpp